%define upstream_name    Regexp-Parser
%define upstream_version 0.23

%global __requires_exclude perl\\(Regexp::Parser::Diagnostics\\)|perl\\(Regexp::Parser::Handlers\\)|perl\\(Regexp::Parser::Objects\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Regexp::Parser - base class for parsing regexes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module parses regular expressions (regexes). Its default
"grammar" is Perl 5.8.4's regex set. Grammar is quoted because the
module does not so much define a grammar as let each matched node
state what it expects to match next, but there is not currently a
way of extracting a complete grammar. This may change in future
versions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%dir %{perl_vendorlib}/Regexp/Parser
%dir %{perl_vendorlib}/Perl6/Rule
%{perl_vendorlib}/Regexp/Parser/*
%{perl_vendorlib}/Regexp/Parser.pm
%{perl_vendorlib}/Perl6/Rule/Parser.pm
%{_mandir}/*/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 0.230.0-2.mga8
+ Revision: 1543544
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 0.230.0-1.mga8
+ Revision: 1481855
- update to 0.23
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.220.0-3.mga7
+ Revision: 1285952
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.220.0-2.mga7
+ Revision: 1166404
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.220.0-1.mga7
+ Revision: 1159472
- update to 0.22

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-8.mga6
+ Revision: 1032822
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.210.0-7.mga6
+ Revision: 949095
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.210.0-6.mga5
+ Revision: 789073
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-5.mga5
+ Revision: 741827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 686103
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-3.mga4
+ Revision: 514362
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 372303
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 17 2011 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 108950
- update to 0.21

* Thu Jan 13 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 14398
- imported package perl-Regexp-Parser


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 408043
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.20-7mdv2009.0
+ Revision: 258326
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.20-6mdv2009.0
+ Revision: 246404
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.20-4mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.20-4mdv2008.0
+ Revision: 25099
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.20-3mdk
- Fix According to perl Policy
	- Source URL
- use mkrel

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-2mdk
- 0.20

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10-2mdk
- BuildArch: noarch
- rule out some requires

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdk
- initial Mandriva package

